Welcome to MCAD Central

Join our MCAD Central community forums, the largest resource for MCAD (Mechanical Computer-Aided Design) professionals, including files, forums, jobs, articles, calendar, and more.

Register Log in

macro to project 3d point to sktech

tcsshiva

New member
I have 3d point and wanted to project it on to sketch with face support. I wanted to find the coorindates of the projected point


Here is the macro I am using but getting error as


GetCoordinates not support by the object


Language="VBSCRIPT"


Sub CATMain()


Dim partDocument1 As Document


Set partDocument1 = CATIA.ActiveDocument


Dim part1 As Part


Set part1 = partDocument1.Part


Dim bodies1 As Bodies


Set bodies1 = part1.Bodies


Dim body1 As Body


Set body1 = bodies1.Item("PartBody")


Dim sketches1 As Sketches


Set sketches1 = body1.Sketches


Dim reference1 As Reference


'Set reference1 = part1.CreateReferenceFromName("Selection_RSur:(Face:(Brp:(Pa d.1;1);None:();Cf11:());Pad.1_ResultOUT;Z0;G3055)")
 

Sponsor

Top